EFTP .lnk File Handling Remote Overflow

This script is Copyright (C) 2002-2011 Tenable Network Security, Inc.

Synopsis :

The remote FTP server has a buffer overflow vulnerability.

Description :

The version of EFTP running on the remote host has a remote buffer
overflow vulnerability. Issuing the LS command on a maliciously
crafted .lnk file results in an overflow. A remote attacker could
exploit this to crash the service, or possibly execute arbitrary code.

See also :


Solution :

Upgrade to EFTP 2.0.8.x or later.

Risk factor :

Critical / CVSS Base Score : 10.0
CVSS Temporal Score : 9.5
Public Exploit Available : true

Family: FTP

Nessus Plugin ID: 10928 (eftp_bufferoverflow.nasl)

Bugtraq ID: 3330

CVE ID: CVE-2001-1112